- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#body.ReservationSubBlocksGetResponse.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#body.ReservationSubBlocksGetResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#body.ReservationSubBlocksGetResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_1)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#body.ReservationSubBlocksGetResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_2)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#body.ReservationSubBlocksGetResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_3)
      - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#body.ReservationSubBlocksGetResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_3.accelerator_topology_info.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get#try-it)

Retrieves information about the specified reservation subBlock.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}/{parentName=reservations/*/reservationBlocks/*}/reservationSubBlocks/{reservationSubBlock}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `zone` | `string` Name of the zone for this request. Zone name should conform to RFC1035. |
| `parentName` | `string` The name of the parent reservation and parent block. In the format of reservations/{reservationName}/reservationBlocks/{reservation_block_name} |
| `reservationSubBlock` | `string` The name of the reservation subBlock. Name should conform to RFC1035 or be a resource ID. |

### Query parameters

| Parameters ||
|---|---|
| `view` | `enum` View of the subBlock. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "resource": { "kind": string, "id": string, "creationTimestamp": string, "name": string, "zone": string, "selfLink": string, "selfLinkWithId": string, "count": integer, "inUseCount": integer, "reservationSubBlockMaintenance": { "upcomingGroupMaintenance": { "type": enum, "canReschedule": boolean, "windowStartTime": string, "windowEndTime": string, "latestWindowStartTime": string, "maintenanceStatus": enum, "maintenanceOnShutdown": boolean, "maintenanceReasons": [ enum ] }, "maintenanceOngoingCount": integer, "maintenancePendingCount": integer, "schedulingType": enum, "subblockInfraMaintenanceOngoingCount": integer, "subblockInfraMaintenancePendingCount": integer, "instanceMaintenanceOngoingCount": integer, "instanceMaintenancePendingCount": integer }, "status": enum, "physicalTopology": { "cluster": string, "block": string, "subBlock": string }, "inUseHostCount": integer, "healthInfo": { "healthStatus": enum, "healthyHostCount": integer, "degradedHostCount": integer, "healthyInfraCount": integer, "degradedInfraCount": integer }, "acceleratorTopologiesInfo": { "acceleratorTopologyInfos": [ { "acceleratorTopology": string, "infoPerTopologyStates": [ { "state": enum, "count": integer } ] } ] } } } ``` |

| Fields ||
|---|---|
| `resource` | `object` |
| `resource.kind` | `string` Output only. Type of the resource. Always `compute#reservationSubBlock` for reservation subBlocks. |
| `resource.id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `resource.creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `resource.name` | `string` Output only. The name of this reservation subBlock generated by Google Compute Engine. The name must be 1-63 characters long, and comply with RFC1035 @pattern [a-z](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reservationSubBlocks/get?:%5B-a-z0-9%5D%7B0,61%7D%5Ba-z0-9%5D)? |
| `resource.zone` | `string` Output only. Zone in which the reservation subBlock resides. |
| `resource.selfLink` | `string` Output only. Server-defined fully-qualified URL for this resource. |
| `resource.selfLinkWithId` | `string` Output only. Server-defined URL for this resource with the resource id. |
| `resource.count` | `integer` Output only. The number of hosts that are allocated in this reservation subBlock. |
| `resource.inUseCount` | `integer` Output only. The number of instances that are currently in use on this reservation subBlock. |
| `resource.reservationSubBlockMaintenance` | `object` Output only. Maintenance information for this reservation subBlock. |
| `resource.reservationSubBlockMaintenance.upcomingGroupMaintenance` | `object` Maintenance information on this group of VMs. |
| `resource.reservationSubBlockMaintenance.upcomingGroupMaintenance.type` | `enum` Defines the type of maintenance. |
| `resource.reservationSubBlockMaintenance.upcomingGroupMaintenance.canReschedule` | `boolean` Indicates if the maintenance can be customer triggered. |
| `resource.reservationSubBlockMaintenance.upcomingGroupMaintenance.windowStartTime` | `string` The current start time of the maintenance window. This timestamp value is in RFC3339 text format. |
| `resource.reservationSubBlockMaintenance.upcomingGroupMaintenance.windowEndTime` | `string` The time by which the maintenance disruption will be completed. This timestamp value is in RFC3339 text format. |
| `resource.reservationSubBlockMaintenance.upcomingGroupMaintenance.latestWindowStartTime` | `string` The latest time for the planned maintenance window to start. This timestamp value is in RFC3339 text format. |
| `resource.reservationSubBlockMaintenance.upcomingGroupMaintenance.maintenanceStatus` | `enum` |
| `resource.reservationSubBlockMaintenance.upcomingGroupMaintenance.maintenanceOnShutdown` | `boolean` Indicates whether the UpcomingMaintenance will be triggered on VM shutdown. |
| `resource.reservationSubBlockMaintenance.upcomingGroupMaintenance.maintenanceReasons[]` | `enum` The reasons for the maintenance. Only valid for vms. |
| `resource.reservationSubBlockMaintenance.maintenanceOngoingCount` | `integer` Progress for ongoing maintenance for this group of VMs/hosts. Describes number of hosts in the block that have ongoing maintenance. |
| `resource.reservationSubBlockMaintenance.maintenancePendingCount` | `integer` Progress for ongoing maintenance for this group of VMs/hosts. Describes number of hosts in the block that have pending maintenance. |
| `resource.reservationSubBlockMaintenance.schedulingType` | `enum` The type of maintenance for the reservation. |
| `resource.reservationSubBlockMaintenance.subblockInfraMaintenanceOngoingCount` | `integer` Describes number of subblock Infrastructure that has ongoing maintenance. Here, Subblock Infrastructure Maintenance pertains to upstream hardware contained in the Subblock that is necessary for a VM Family(e.g. NVLink Domains). Not all VM Families will support this field. |
| `resource.reservationSubBlockMaintenance.subblockInfraMaintenancePendingCount` | `integer` Describes number of subblock Infrastructure that has pending maintenance. Here, Subblock Infrastructure Maintenance pertains to upstream hardware contained in the Subblock that is necessary for a VM Family (e.g. NVLink Domains). Not all VM Families will support this field. |
| `resource.reservationSubBlockMaintenance.instanceMaintenanceOngoingCount` | `integer` Describes number of instances that have ongoing maintenance. |
| `resource.reservationSubBlockMaintenance.instanceMaintenancePendingCount` | `integer` Describes number of instances that have pending maintenance. |
| `resource.status` | `enum` Output only. Status of the reservation subBlock. |
| `resource.physicalTopology` | `object` Output only. The physical topology of the reservation subBlock. |
| `resource.physicalTopology.cluster` | `string` The cluster name of the reservation subBlock. |
| `resource.physicalTopology.block` | `string` The hash of the capacity block within the cluster. |
| `resource.physicalTopology.subBlock` | `string` The hash of the capacity sub-block within the capacity block. |
| `resource.inUseHostCount` | `integer` Output only. Number of hosts currently in use. If there is one or more Instances running on the host, it is considered in use. |
| `resource.healthInfo` | `object` Output only. Health information for the reservation subBlock. |
| `resource.healthInfo.healthStatus` | `enum` The health status of the reservation subBlock. |
| `resource.healthInfo.healthyHostCount` | `integer` The number of healthy hosts in the reservation subBlock. |
| `resource.healthInfo.degradedHostCount` | `integer` The number of degraded hosts in the reservation subBlock. |
| `resource.healthInfo.healthyInfraCount` | `integer` The number of healthy infrastructure (e.g NV link domain) in the reservation subblock. |
| `resource.healthInfo.degradedInfraCount` | `integer` The number of degraded infrastructure (e.g NV link domain) in the reservation subblock. |
| `resource.acceleratorTopologiesInfo` | `object` Output only. Slice info for the reservation subBlock. |
| `resource.acceleratorTopologiesInfo.acceleratorTopologyInfos[]` | `object` Info for each accelerator topology. |
| `resource.acceleratorTopologiesInfo.acceleratorTopologyInfos[].acceleratorTopology` | `string` The accelerator topology. |
| `resource.acceleratorTopologiesInfo.acceleratorTopologyInfos[].infoPerTopologyStates[]` | `object` Info for each topology state. |
| `resource.acceleratorTopologiesInfo.acceleratorTopologyInfos[].infoPerTopologyStates[].state` | `enum` The state of the accelerator topology. |
| `resource.acceleratorTopologiesInfo.acceleratorTopologyInfos[].infoPerTopologyStates[].count` | `integer` The number of accelerator topologies in this state. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.reservationSubBlocks.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).